﻿using DataGrid;
using Syncfusion.Windows.Forms;
using Syncfusion.Windows.Forms.Grid;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace GridListcontrol1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            DataCollection dataSource = new DataCollection();
            Random rand = new Random();
            int r = rand.Next(100);
            for (int i = 0; i < 20; i++)
            {
                //To add the data to the datasource
                dataSource.Add(new Data(r.ToString(), "Category" + r.ToString(), "Desc" + r.ToString(), r.ToString() + "Data"));
                r = rand.Next(100);
            }
            this.gridListControl1.DataSource = dataSource;
            this.gridListControl1.MultiColumn = true;
            this.gridListControl1.Grid.AllowProportionalColumnSizing = true;
            //Event Triggering
            this.gridListControl1.Grid.PrepareViewStyleInfo += Grid_PrepareViewStyleInfo;
        }
        //Event Customization
        private void Grid_PrepareViewStyleInfo(object sender, GridPrepareViewStyleInfoEventArgs e)
        {
            if (e.RowIndex == 0 && e.ColIndex == 3)
            {
                e.Style.Text = "Header1";
            }
        }
    }
}
